Bug 1120290 - Backtrace in seeding when ssh key supplied
Summary: Backtrace in seeding when ssh key supplied
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ga
: Installer
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 16:12 UTC by John Eckersberg
Modified: 2014-08-21 18:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:05:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description John Eckersberg 2014-07-16 16:12:06 UTC
If an SSH key is supplied during the rhel-osp-installer setup workflow, the following error occurs:

Starting to seed provisioning data
/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:in `return!': 422 Unprocessable Entity (RestClient::UnprocessableEntity)
        from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:220:in `process_result'
        from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:169:in `transmit'
        from /usr/lib/ruby/1.8/net/http.rb:543:in `start'
        from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:166:in `transmit'
        from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:60:in `execute'
        from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:31:in `execute'
        from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/resource.rb:63:in `post'
        from /usr/lib/ruby/gems/1.8/gems/foreman_api-0.1.11/lib/foreman_api/base.rb:79:in `send'
        from /usr/lib/ruby/gems/1.8/gems/foreman_api-0.1.11/lib/foreman_api/base.rb:79:in `http_call'
        from /usr/lib/ruby/gems/1.8/gems/foreman_api-0.1.11/lib/foreman_api/base.rb:62:in `perform_call'
        from /usr/lib/ruby/gems/1.8/gems/foreman_api-0.1.11/lib/foreman_api/resources/parameter.rb:54:in `create'
        from /usr/share/foreman-installer/hooks/lib/foreman.rb:73:in `show_or_ensure'
        from /usr/share/foreman-installer/hooks/lib/provisioning_seeder.rb:105:in `seed'
        from /usr/share/foreman-installer/hooks/lib/provisioning_seeder.rb:70:in `each'
        from /usr/share/foreman-installer/hooks/lib/provisioning_seeder.rb:70:in `seed'
        from /usr/share/foreman-installer/hooks/post/10-setup_provisioning.rb:29:in `load'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hook_context.rb:13:in `instance_exec'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hook_context.rb:13:in `execute'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hooking.rb:48:in `execute'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hooking.rb:47:in `each_pair'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/hooking.rb:47:in `execute'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:339:in `run_installation'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/exit_handler.rb:24:in `call'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/exit_handler.rb:24:in `exit'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:122:in `exit'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:338:in `run_installation'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:109:in `execute'
        from /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
        from /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'
        from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.4/lib/kafo/kafo_configure.rb:116:in `run'
        from /usr/sbin/rhel-osp-installer:54


And from /var/log/foreman/production.log:

Started POST "/api/operatingsystems/1/parameters" for 192.168.200.200 at 2014-07-16 12:11:13 -0400
Processing by Api::V2::ParametersController#create as JSON
  Parameters: {"parameter"=>{"value"=>"[FILTERED]", "name"=>"ssh_public_key"}, "apiv"=>"v2", "operatingsystem_id"=>"1"}
Authorized user admin(Admin User)
Unprocessable entity OsParameter (id: new):
  Reference parameters require an associated domain, host or host group

  Rendered api/v2/errors/unprocessable_entity.json.rabl within api/v2/layouts/error_layout (2.0ms)
Completed 422 Unprocessable Entity in 67ms (Views: 14.8ms | ActiveRecord: 13.6ms)

Comment 2 Mike Burns 2014-08-05 17:45:49 UTC
This works for me, so marking testonly

Comment 4 Omri Hochman 2014-08-07 14:18:57 UTC
Verified with rhel-osp-installer-0.1.6-5.el6ost.noarch.

How would you like to proceed?:
1. Proceed with the above values
2. Change SSH public key
3. Change Root Password
4. Display root password
2
You may either use a path to your public key file or enter the whole key (including type and comment)
file or key
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDIdrTdFNmwggjCle0sgNoYzWqOADUybOeWf18HORTiZRBKbHJ0O+Pksi4UejOP/wI8Vlh0V4Pmg+sE/IhY6l4EDsvwFywabeh/PvcT5oFOxHkl+jN26iVKLj+7U4fWxEVoiASJMHOdAI9wX1Q+DGhEjkHd2rKzICSBENDFmxju3RtYC7EKhm5uZ+8G55nH55dEb7WcuJYY8n+pXHxkAwuh+qabMq2K0UrHeC5s+GGeGfRWoDzJjGWi7yxNSBD8lO9fE4M60Tg9/Y+liCKQqn5/J4h90d6dm1EfTNyTXhz77R9FnXhTGwGcKZHaZEHv6z2ClINqDQhZ9erMxpb/npV3 root@lynx02.qa.lab.tlv.redhat.com
Configure client authentication
          SSH public key: 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDIdrTdFNmwggjCle0sgNoYzWqOADUybOeWf18HORTiZRBKbHJ0O+Pksi4UejOP/wI8Vlh0V4Pmg+sE/IhY6l4EDsvwFywabeh/PvcT5oFOxHkl+jN26iVKLj+7U4fWxEVoiASJMHOdAI9wX1Q+DGhEjkHd2rKzICSBENDFmxju3RtYC7EKhm5uZ+8G55nH55dEb7WcuJYY8n+pXHxkAwuh+qabMq2K0UrHeC5s+GGeGfRWoDzJjGWi7yxNSBD8lO9fE4M60Tg9/Y+liCKQqn5/J4h90d6dm1EfTNyTXhz77R9FnXhTGwGcKZHaZEHv6z2ClINqDQhZ9erMxpb/npV3 root@lynx02.qa.lab.tlv.redhat.com'
           Root Password: '*******************************************'

Starting to seed provisioning data
Use 'base_RedHat_7' hostgroup for provisioning
  Success!
  * Foreman is running at https://staypuft.example.com
      Default credentials are 'admin:changeme'
  * Foreman Proxy is running at https://staypuft.example.com:8443
  * Puppetmaster is running at port 8140
  The full log is at /var/log/foreman-installer/foreman-installer.log

Comment 5 errata-xmlrpc 2014-08-21 18:05:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.